
package com.xixun.xixunplayer;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class BootCompletedReceiver extends BroadcastReceiver {
	@Override
	public void onReceive(Context context, Intent intent) {
		Util.println("==== BootCompletedReceiver onReceive >> "+intent.getAction());
		Util.initDir(context);
		if(MainActivity.ins!=null) return;
		var inten = new Intent(context, MainActivity.class);
		inten.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		context.startActivity(inten);
	}
}